Bug 983426 - GNetworkMonitorNetlink returns bogus false result when default route has neither RTA_DST nor RTA_GATEWAY
GNetworkMonitorNetlink returns bogus false result when default route has neit...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 04:06 EDT by David Woodhouse
Modified: 2013-08-06 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: glib2-2.36.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 19:39:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 701609 None None None Never

  None (edit)
Description David Woodhouse 2013-07-11 04:06:38 EDT
This causes Evolution to work in 'offline' mode, preventing write access to the calendar, etc.

For users who work from home and are always on the VPN, this is kind of a show-stopper...
Comment 1 David Woodhouse 2013-07-11 04:21:22 EDT
Scratch build with the patch from upstream bugzilla, at
http://koji.fedoraproject.org/koji/taskinfo?taskID=5593524
Comment 2 Dan Winship 2013-07-12 12:32:20 EDT
upstream patch is committed now
Comment 3 David Woodhouse 2013-07-18 07:09:23 EDT
Thanks. Any chance of a Fedora update please?
Comment 4 Fedora Update System 2013-08-01 12:18:26 EDT
glib2-2.36.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glib2-2.36.3-3.fc19
Comment 5 Fedora Update System 2013-08-02 17:50:20 EDT
Package glib2-2.36.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glib2-2.36.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14073/glib2-2.36.3-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-06 19:39:55 EDT
glib2-2.36.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.